%define base_name	kde-styles
%define theme_name	qinx
%define name		%base_name-%theme_name
%define version		1.4
%define release		alt1
%define summary		Qinx theme for KDE

Name: %name
Version: %version
Release: %release
Summary: %summary
License: X11
Group: Graphical desktop/KDE
Source: %theme_name-%version.tar.bz2
Url: http://www.usermode.org/code.html

# Automatically added by buildreq on Sat Aug 07 2004
BuildRequires: xorg-x11-devel fontconfig freetype2 gcc-c++ kdebase-devel kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
Qinx is a style inspired by the QNX Photon desktop. Includes a widget style,
KWin decoration, and a couple of color schemes.

%prep
%setup -n %theme_name-%version

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
%__subst 's,\.la,.so,g' configure
%__subst "s,libkdecorations.la,libkdecorations.so,g" qinxclient/Makefile.in

%configure \
    --disable-debug \
    --disable-rpath \
    --enable-final
%make

%install
%makeinstall

%files
%doc README AUTHORS ChangeLog
%_libdir/kde3/*.so
%_libdir/kde3/plugins/styles/*.so
%_datadir/apps/kdisplay/color-schemes/*
%_datadir/apps/kstyle/themes/*
%_datadir/apps/kwin/*

%changelog
* Sun Apr 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.4-alt1
- 1.4

* Mon Feb 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt1
- 1.3

* Tue Jan 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt2
- Rebuild with libstdc++.so.6.

* Fri Dec 31 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt1
- 1.2

* Fri Jul 16 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1-alt1
- 1.1

* Wed Jun 30 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt1
- 1.0 

* Sun Apr 11 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- new version

* Thu Dec 17 2003 Valery Inozemtsev <shrek@altlinux.ru> 0.6-alt1
- build for ALTLinux Master 2.2

* Thu Aug 28 2003 Laurent Culioli <laurent@pschit.net> 0.6-1plf
- 0.6

* Wed Feb 26 2003 Laurent Culioli <laurent@pschit.net> 0.5-1plf
- 0.5

* Sun Dec  1 2002 Laurent Culioli <laurent@pschit.net> 0.4-1plf
- 0.4

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.2-2plf
- Rebuild with gcc3.2

* Fri Aug  9 2002 Laurent Culioli <laurent@pschit.net> 0.2-1plf
- upsate to 0.2

* Fri Aug  2 2002 Laurent Culioli <laurent@pschit.net> 0.1-1plf
- initial package
- build on nvidia-free host
